Package org.eclipse.emf.cdo

# Interface CDOElement.StateProvider

All Known Subinterfaces:
  `CDOCheckout`, `CDOWorkspace`, `InternalCDOWorkspace`

Enclosing class:
  CDOElement

public static interface CDOElement.StateProvider
Provides the consumer with the `states` of objects such as `CDOObjects`.

Since:
  4.4
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOState`
`getState(Object object)`

## Method Details

### getState

CDOState getState(Object object)